package com.wzj.soopin.transaction.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DivideRuleStatus {
    /**
     * 启用
     */
    ON(1, "启用"),
    /**
     * 禁用
     */
    OFF(0, "禁用");

    private final int code;
    private final String message;

    public static DivideRuleStatus valueOf(int code) {
        for (DivideRuleStatus value : values()) {
            if (value.code == code) {
                return value;
            }
        }
        return null;
    }



}
